kind: Pod
apiVersion: v1
metadata:
  generateName: llm-deploy-90938a67-5df4666999-
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.129.2.35/23"],"mac_address":"0a:58:0a:81:02:23","gateway_ips":["10.129.2.1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.129.2.1"},{"dest":"172.30.0.0/16","nextHop":"10.129.2.1"},{"dest":"169.254.0.5/32","nextHop":"10.129.2.1"},{"dest":"100.64.0.0/16","nextHop":"10.129.2.1"}],"ip_address":"10.129.2.35/23","gateway_ip":"10.129.2.1","role":"primary"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.2.35"
          ],
          "mac": "0a:58:0a:81:02:23",
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted-v2
    seccomp.security.alpha.kubernetes.io/pod: runtime/default
  resourceVersion: '55530'
  name: llm-deploy-90938a67-5df4666999-lllsl
  uid: d8cd924d-47b7-4eb2-8758-ea37a06e8def
  creationTimestamp: '2025-06-25T19:20:01Z'
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2025-06-25T19:20:01Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:app': {}
            'f:pod-template-hash': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"4820af8e-5682-4bc3-9668-c1368b55e10c"}': {}
        'f:spec':
          'f:volumes':
            .: {}
            'k:{"name":"cache-volume"}':
              .: {}
              'f:name': {}
              'f:persistentVolumeClaim':
                .: {}
                'f:claimName': {}
            'k:{"name":"dshm"}':
              .: {}
              'f:emptyDir':
                .: {}
                'f:medium': {}
              'f:name': {}
          'f:containers':
            'k:{"name":"rhaiis"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/dev/shm"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/mnt/model"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:nvidia.com/gpu': {}
                'f:requests':
                  .: {}
                  'f:nvidia.com/gpu': {}
              'f:args': {}
              'f:command': {}
              'f:env':
                .: {}
                'k:{"name":"HF_HOME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"HF_HUB_OFFLINE"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"HUGGING_FACE_HUB_TOKEN"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:secretKeyRef': {}
                'k:{"name":"VLLM_LOGGING_LEVEL"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"VLLM_NO_USAGE_STATS"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
              'f:securityContext':
                .: {}
                'f:allowPrivilegeEscalation': {}
                'f:capabilities':
                  .: {}
                  'f:drop': {}
                'f:seccompProfile':
                  .: {}
                  'f:type': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:ports':
                .: {}
                'k:{"containerPort":8000,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:protocol': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:terminationGracePeriodSeconds': {}
          'f:initContainers':
            .: {}
            'k:{"name":"download"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/mnt/model"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources': {}
              'f:args': {}
              'f:command': {}
              'f:env':
                .: {}
                'k:{"name":"HF_HOME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"HF_HUB_OFFLINE"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"HUGGING_FACE_HUB_TOKEN"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:secretKeyRef': {}
              'f:securityContext':
                .: {}
                'f:allowPrivilegeEscalation': {}
                'f:capabilities':
                  .: {}
                  'f:drop': {}
                'f:seccompProfile':
                  .: {}
                  'f:type': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
          'f:imagePullSecrets':
            .: {}
            'k:{"name":"quay-secrets"}': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: test1000-pool-dl6wl-5s6wb-gpu-eastus21-6lxdh
      operation: Update
      apiVersion: v1
      time: '2025-06-25T19:20:01Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/pod-networks': {}
      subresource: status
    - manager: multus-daemon
      operation: Update
      apiVersion: v1
      time: '2025-06-25T19:20:15Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.v1.cni.cncf.io/network-status': {}
      subresource: status
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2025-06-25T19:24:29Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:hostIP': {}
          'f:phase': {}
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"PodReadyToStartContainers"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIPs': {}
          'f:podIP': {}
          'f:startTime': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.129.2.35"}':
              .: {}
              'f:ip': {}
          'f:initContainerStatuses': {}
      subresource: status
  namespace: model-deploy-46eeb
  ownerReferences:
    - apiVersion: apps/v1
      kind: ReplicaSet
      name: llm-deploy-90938a67-5df4666999
      uid: 4820af8e-5682-4bc3-9668-c1368b55e10c
      controller: true
      blockOwnerDeletion: true
  labels:
    app: rhaiis-runner
    pod-template-hash: 5df4666999
spec:
  restartPolicy: Always
  initContainers:
    - resources: {}
      terminationMessagePath: /dev/termination-log
      name: download
      command:
        - /bin/bash
        - '-c'
      env:
        - name: HF_HUB_OFFLINE
          value: '0'
        - name: HF_HOME
          value: /mnt/model
        - name: HUGGING_FACE_HUB_TOKEN
          valueFrom:
            secretKeyRef:
              name: hf-token-secret
              key: HUGGING_FACE_TOKEN
      securityContext:
        capabilities:
          drop:
            - ALL
        runAsUser: 1000800000
        runAsNonRoot: true
        allowPrivilegeEscalation: false
        seccompProfile:
          type: RuntimeDefault
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: cache-volume
          mountPath: /mnt/model
        - name: kube-api-access-6sgkj
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: 'quay.io/aipcc/rhaiis/cuda-ubi9:3.1-0-1750864644'
      args:
        - huggingface-cli download RedHatAI/Mistral-Small-3.1-24B-Instruct-2503-FP8-dynamic
  serviceAccountName: default
  imagePullSecrets:
    - name: quay-secrets
  priority: 0
  schedulerName: default-scheduler
  enableServiceLinks: true
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: test1000-pool-dl6wl-5s6wb-gpu-eastus21-6lxdh
  securityContext:
    seLinuxOptions:
      level: 's0:c28,c22'
    fsGroup: 1000800000
    seccompProfile:
      type: RuntimeDefault
  containers:
    - resources:
        limits:
          nvidia.com/gpu: '1'
        requests:
          nvidia.com/gpu: '1'
      terminationMessagePath: /dev/termination-log
      name: rhaiis
      command:
        - /bin/bash
        - '-c'
      env:
        - name: HF_HUB_OFFLINE
          value: '0'
        - name: VLLM_LOGGING_LEVEL
          value: DEBUG
        - name: VLLM_NO_USAGE_STATS
          value: '1'
        - name: HF_HOME
          value: /mnt/model
        - name: HUGGING_FACE_HUB_TOKEN
          valueFrom:
            secretKeyRef:
              name: hf-token-secret
              key: HUGGING_FACE_TOKEN
      securityContext:
        capabilities:
          drop:
            - ALL
        runAsUser: 1000800000
        runAsNonRoot: true
        allowPrivilegeEscalation: false
        seccompProfile:
          type: RuntimeDefault
      ports:
        - containerPort: 8000
          protocol: TCP
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: cache-volume
          mountPath: /mnt/model
        - name: dshm
          mountPath: /dev/shm
        - name: kube-api-access-6sgkj
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: 'quay.io/aipcc/rhaiis/cuda-ubi9:3.1-0-1750864644'
      args:
        - vllm serve RedHatAI/Mistral-Small-3.1-24B-Instruct-2503-FP8-dynamic --uvicorn-log-level debug --trust-remote-code --enable-chunked-prefill --tensor-parallel-size 1 --max-model-len 4096
  serviceAccount: default
  volumes:
    - name: cache-volume
      persistentVolumeClaim:
        claimName: minio-pvc
    - name: dshm
      emptyDir:
        medium: Memory
    - name: kube-api-access-6sgkj
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
status:
  containerStatuses:
    - restartCount: 2
      started: false
      ready: false
      name: rhaiis
      state:
        waiting:
          reason: CrashLoopBackOff
          message: back-off 20s restarting failed container=rhaiis pod=llm-deploy-90938a67-5df4666999-lllsl_model-deploy-46eeb(d8cd924d-47b7-4eb2-8758-ea37a06e8def)
      volumeMounts:
        - name: cache-volume
          mountPath: /mnt/model
        - name: dshm
          mountPath: /dev/shm
        - name: kube-api-access-6sgkj
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
          readOnly: true
          recursiveReadOnly: Disabled
      imageID: 'quay.io/aipcc/rhaiis/cuda-ubi9@sha256:0b49c50b27f7132b63b195e2d4eddd3ac7b638cfe4abccf1a084b5d65894f2be'
      image: 'quay.io/aipcc/rhaiis/cuda-ubi9:3.1-0-1750864644'
      lastState:
        terminated:
          exitCode: 1
          reason: Error
          startedAt: '2025-06-25T19:23:51Z'
          finishedAt: '2025-06-25T19:24:17Z'
          containerID: 'cri-o://3adfbaefa1bd35342ebe177ec99274e4d44d305a4c8e857cb714bbac5857e8c6'
      containerID: 'cri-o://3adfbaefa1bd35342ebe177ec99274e4d44d305a4c8e857cb714bbac5857e8c6'
  qosClass: BestEffort
  hostIPs:
    - ip: 10.0.128.6
  podIPs:
    - ip: 10.129.2.35
  podIP: 10.129.2.35
  hostIP: 10.0.128.6
  startTime: '2025-06-25T19:20:08Z'
  initContainerStatuses:
    - restartCount: 0
      started: false
      ready: true
      name: download
      state:
        terminated:
          exitCode: 0
          reason: Completed
          startedAt: '2025-06-25T19:20:16Z'
          finishedAt: '2025-06-25T19:20:16Z'
          containerID: 'cri-o://ea4965009d9bda9d26604eb93d7da8086aa6e120f4eb7a496f2803c35b1833e9'
      volumeMounts:
        - name: cache-volume
          mountPath: /mnt/model
        - name: kube-api-access-6sgkj
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
          readOnly: true
          recursiveReadOnly: Disabled
      imageID: 'quay.io/aipcc/rhaiis/cuda-ubi9@sha256:0b49c50b27f7132b63b195e2d4eddd3ac7b638cfe4abccf1a084b5d65894f2be'
      image: 'quay.io/aipcc/rhaiis/cuda-ubi9:3.1-0-1750864644'
      lastState: {}
      containerID: 'cri-o://ea4965009d9bda9d26604eb93d7da8086aa6e120f4eb7a496f2803c35b1833e9'
  conditions:
    - type: PodReadyToStartContainers
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-06-25T19:20:16Z'
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-06-25T19:20:17Z'
    - type: Ready
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2025-06-25T19:24:17Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [rhaiis]'
    - type: ContainersReady
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2025-06-25T19:24:17Z'
      reason: ContainersNotReady
      message: 'containers with unready status: [rhaiis]'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-06-25T19:20:01Z'
  phase: Running
